local frame = CreateFrame("Frame")
local raid_count = 0
local last_question = time() - 30

function frame.RAID_ROSTER_UPDATE(self)
	if IsRaidLeader() and ((raid_count == 0 and GetNumRaidMembers() > 1) or (raid_count <= 10 and GetNumRaidMembers() > 10) or (raid_count > 10 and GetNumRaidMembers() <= 10)) and time() - last_question > 30 then
		PlaySoundFile('Sound/Doodad/BellTollHorde.wav')
		StaticPopupDialogs["AntiZoDialog"] = {text = "What dungeon difficulty do you wish to set?", 
			button1 = "HEROIC", button2 = "NORMAL",	timeout = 0, whileDead = 1, hideOnEscape = 1,
			OnAccept = function() SetDungeonDifficulty(2) end,
			OnCancel = function() SetDungeonDifficulty(1) end,
		}
		last_question = time()
		StaticPopup_Show("AntiZoDialog")
	end
	raid_count = GetNumRaidMembers()
end
  
frame:RegisterEvent('RAID_ROSTER_UPDATE')
frame:SetScript("OnEvent", function(self, event, ...) self[event](self, ...) end)

